Bug 448492 (CVE-2008-0891) - CVE-2008-0891 openssl: Server Name extension crash
Summary: CVE-2008-0891 openssl: Server Name extension crash
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-0891
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 448690 448691 482112 530522
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-27 09:29 UTC by Tomas Hoger
Modified: 2019-09-29 12:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-04 19:08:10 UTC


Attachments (Terms of Use)
Upstream patch (1.21 KB, patch)
2008-05-27 09:30 UTC, Tomas Hoger
no flags Details | Diff

Description Tomas Hoger 2008-05-27 09:29:36 UTC
CERT/FI identified following issue affecting OpenSSL:

Testing using the Codenomicon TLS test suite discovered a flaw in the
handling of server name extension data in OpenSSL 0.9.8f and OpenSSL
0.9.8g.  If OpenSSL has been compiled using the non-default TLS server
name extensions, a remote attacker could send a carefully crafted
packet to a server application using OpenSSL and cause a crash.
(CVE-2008-0891).

Please note this issue does not affect any other released versions of
OpenSSL, and does not affect versions compiled without TLS server name
extensions.

Comment 1 Tomas Hoger 2008-05-27 09:30:15 UTC
Created attachment 306750 [details]
Upstream patch

Comment 2 Tomas Hoger 2008-05-27 09:33:26 UTC
This issue does not affect openssl packages as shipped in Red Hat Enterprise
Linux 2.1, 3, 4 and 5, and Fedora 7 and 8.  Only upstream versions 0.9.8f and
0.9.8g were affected, currently only shipped in Fedora 9 and Rawhide.

Comment 5 Tomas Hoger 2008-05-28 09:16:44 UTC
Public now, lifting embargo:

  http://openssl.org/news/secadv_20080528.txt

Comment 7 Tomas Hoger 2008-05-28 11:15:45 UTC
CERT-FI advisory:

  https://www.cert.fi/haavoittuvuudet/2008/advisory-openssl.html

Comment 8 Fedora Update System 2008-05-28 21:53:33 UTC
openssl-0.9.8g-9.fc9 has been submitted as an update for Fedora 9

Comment 9 Fedora Update System 2008-05-31 02:13:37 UTC
openssl-0.9.8g-9.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Red Hat Product Security 2008-06-04 19:08:10 UTC
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-4723




Note You need to log in before you can comment on or make changes to this bug.